Subject: Re: bug#22222: 24.4; eww ignores charset=utf-8 in text/plain

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 24 Dec 2015 20:39:20 +0100

Eli Zaretskii <[email-masked]> writes:

> Lars, I'd appreciate if you could eyeball the changeset and tell if I
> broke some use case.  I couldn't wrap my head around the code there
> that decoded stuff (like encoding with UTF-8 and then decoding with
> something that must NOT be UTF-8 -- how can that do anything useful?),
> so I just rewrote that as best I could.  If I broke something, please
> show the broken use case, and I will look into it.

I think it looks OK after your fixes (thanks).  That code has had a lot
of back-and-forth after it was adapted to allow the user to
interactively change the charset, which probably explains the
awkwardness of the code.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no